> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report body

> Retrieve a previously generated instant report.

## Path parameters

<ParamField path="id" type="string" required />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="created_at" type="string" />

    <ResponseField name="general_sources" type="Source[]">
      <Expandable title="properties">
        <ResponseField name="consulted_by_agents" type="integer[]" />

        <ResponseField name="website" type="Website">
          <Expandable title="properties">
            <ResponseField name="images" type="string[]" />

            <ResponseField name="index" type="integer" />

            <ResponseField name="is_known_as_quality_source" type="boolean" />

            <ResponseField name="snippet" type="string" />

            <ResponseField name="summary" type="string" />

            <ResponseField name="title" type="string" />

            <ResponseField name="url" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="general_summary" type="string" />

    <ResponseField name="metadata" type="PressMetadata">
      <Expandable title="properties">
        <ResponseField name="input" type="PressMetadataInput">
          <Expandable title="properties">
            <ResponseField name="additional_info" type="AdditionalCustomerInfo">
              <Expandable title="properties">
                <ResponseField name="Age" type="integer" />

                <ResponseField name="CountryCodes" type="string[]" />

                <ResponseField name="Entity" type="integer" />
              </Expandable>
            </ResponseField>

            <ResponseField name="name" type="string" />

            <ResponseField name="search_name_components" type="SearchNameComponents">
              <Expandable title="properties">
                <ResponseField name="company_name" type="string" />

                <ResponseField name="first_name" type="string" />

                <ResponseField name="last_name" type="string" />

                <ResponseField name="middle_name" type="string" />

                <ResponseField name="raw_queried_name" type="string" />

                <ResponseField name="trading_name" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="sources" type="object" />

        <ResponseField name="time" type="object" />

        <ResponseField name="tokens" type="object" />
      </Expandable>
    </ResponseField>

    <ResponseField name="namesake" type="NamesakeResult">
      <Expandable title="properties">
        <ResponseField name="count" type="integer" />

        <ResponseField name="historical_or_dead_entity" type="boolean" />

        <ResponseField name="indexes" type="array[]" />

        <ResponseField name="score" type="integer" />
      </Expandable>
    </ResponseField>

    <ResponseField name="other_sources" type="Source[]">
      <Expandable title="properties">
        <ResponseField name="consulted_by_agents" type="integer[]" />

        <ResponseField name="website" type="Website">
          <Expandable title="properties">
            <ResponseField name="images" type="string[]" />

            <ResponseField name="index" type="integer" />

            <ResponseField name="is_known_as_quality_source" type="boolean" />

            <ResponseField name="snippet" type="string" />

            <ResponseField name="summary" type="string" />

            <ResponseField name="title" type="string" />

            <ResponseField name="url" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="report_body_id" type="string" />

    <ResponseField name="report_categories" type="ReportCategory[]">
      <Expandable title="properties">
        <ResponseField name="category" type="string" />

        <ResponseField name="degree_of_certainty" type="string" />

        <ResponseField name="reason" type="string" />

        <ResponseField name="reverted" type="boolean" />

        <ResponseField name="severity" type="string" />

        <ResponseField name="sources" type="Source[]">
          <Expandable title="properties">
            <ResponseField name="consulted_by_agents" type="integer[]" />

            <ResponseField name="website" type="Website">
              <Expandable title="properties">
                <ResponseField name="images" type="string[]" />

                <ResponseField name="index" type="integer" />

                <ResponseField name="is_known_as_quality_source" type="boolean" />

                <ResponseField name="snippet" type="string" />

                <ResponseField name="summary" type="string" />

                <ResponseField name="title" type="string" />

                <ResponseField name="url" type="string" />
              </Expandable>
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="risk_summary" type="string" />
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```json 200
  {
    "created_at": "string",
    "general_sources": [
      {
        "consulted_by_agents": [
          "integer"
        ],
        "website": {
          "images": [
            "string"
          ],
          "index": "integer",
          "is_known_as_quality_source": "boolean",
          "snippet": "string",
          "summary": "string",
          "title": "string",
          "url": "string"
        }
      }
    ],
    "general_summary": "string",
    "metadata": {
      "input": {
        "additional_info": {
          "Age": "integer",
          "CountryCodes": [
            "string"
          ],
          "Entity": "integer"
        },
        "name": "string",
        "search_name_components": {
          "company_name": "string",
          "first_name": "string",
          "last_name": "string",
          "middle_name": "string",
          "raw_queried_name": "string",
          "trading_name": "string"
        }
      },
      "sources": "object",
      "time": "object",
      "tokens": "object"
    },
    "namesake": {
      "count": "integer",
      "historical_or_dead_entity": "boolean",
      "indexes": [
        "array"
      ],
      "score": "integer"
    },
    "other_sources": [
      {
        "consulted_by_agents": [
          "integer"
        ],
        "website": {
          "images": [
            "string"
          ],
          "index": "integer",
          "is_known_as_quality_source": "boolean",
          "snippet": "string",
          "summary": "string",
          "title": "string",
          "url": "string"
        }
      }
    ],
    "report_body_id": "string",
    "report_categories": [
      {
        "category": "string",
        "degree_of_certainty": "string",
        "reason": "string",
        "reverted": "boolean",
        "severity": "string",
        "sources": [
          {
            "consulted_by_agents": [
              "integer"
            ],
            "website": {
              "images": [
                "string"
              ],
              "index": "integer",
              "is_known_as_quality_source": "boolean",
              "snippet": "string",
              "summary": "string",
              "title": "string",
              "url": "string"
            }
          }
        ]
      }
    ],
    "risk_summary": "string"
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
